import { select, range, scaleOrdinal } from 'd3';
import { fruitBowl } from './fruitBowl'

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const makeFruit = type => ({ 
  type,
  id: Math.random()
});

let fruits = range(5)
	.map( () => makeFruit('apple'));

let selectedFruit = null;

const setSelectedFruit = id => {
	selectedFruit = id;
  render();
};

const render = () => {
		fruitBowl(svg, 
              {fruits, height, setSelectedFruit, selectedFruit});
};

render(svg, fruits);

setTimeout(() => {
  fruits.pop();
  render(svg, fruits)
}, 1000);

setTimeout(() => {
  fruits[2].type = 'lemon'
  render(svg, fruits)
}, 2000);

setTimeout(() => {
  fruits = fruits.filter((d, i) => i != 1);
  render(svg, fruits)
}, 3000);









